MONGOC_CURSOR_ERROR(3)

NAME
mongoc_cursor_error - mongoc_cursor_error()

SYNOPSIS

bool
mongoc_cursor_error (mongoc_cursor_t *cursor, bson_error_t *error);

PARAMETERS

•   cursor: A mongoc_cursor_t.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

This function checks to see if an error has occurred while iterating the cursor.

ERRORS

Errors are propagated via the error parameter.

RETURNS

false if no error has occurred, otherwise true and error is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc